Texa DeskDevelopers

Texa Desk Application API · Audit logs

List Audit Logs in Account

GET/api/v1/accounts/{account_id}/audit_logs

Get Details of Audit Log entries for an Account. This endpoint is only available in Enterprise editions and requires the audit_logs feature to be enabled.

Authorization

api_access_tokenheaderrequired

A person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.

Path parameters

account_idintegerrequired

The numeric ID of the account

Query parameters

pageinteger

Page number for pagination

qstring

Filter entries by the name or email of the user who performed the action

typesarray of string

Filter entries by the type of the audited record

sinceinteger

Only return entries created at or after this unix timestamp

untilinteger

Only return entries created at or before this unix timestamp

sortstring

Order of the entries by creation time

Responses

200

Success

per_pageinteger

Number of items per page

total_entriesinteger

Total number of audit log entries

current_pageinteger

Current page number

audit_logsarray of object

Array of audit log entries

audit_logs[].idinteger

Unique identifier for the audit log entry

audit_logs[].auditable_idinteger

The ID of the audited object

audit_logs[].auditable_typestring

The type of the audited object (e.g., Conversation, Contact, User)

audit_logs[].auditableobject

The audited object data

audit_logs[].associated_idinteger

The ID of the associated object (typically the account ID)

audit_logs[].associated_typestring

The type of the associated object

audit_logs[].user_idinteger

The ID of the user who performed the action

audit_logs[].user_typestring

The type of user who performed the action

audit_logs[].usernamestring

The email/username of the user who performed the action

audit_logs[].actionstring

The action performed on the object One of: create, update, destroy.

audit_logs[].audited_changesobject

JSON object containing the changes made to the audited object

audit_logs[].versioninteger

Version number of the audit log entry

audit_logs[].commentstring

Optional comment associated with the audit log entry

audit_logs[].request_uuidstring

UUID to identify the request that generated this audit log

audit_logs[].created_atinteger

Unix timestamp when the audit log entry was created

audit_logs[].remote_addressstring

IP address from which the action was performed

403

Access denied

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring
422

Feature not enabled or not available in current plan

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring